@extends('layout')


@section('content')

<div class="page-header page-header-default">
	<div class="breadcrumb-line">
		<ul class="breadcrumb">
			<li><a href="index.html"><i class="icon-home2 position-left"></i> Produksi</a></li>
			<li class="active">Pengembalian Barang</li>
		</ul>
	</div>
</div>

<div class="content">
	<div class="panel panel-flat">
		<div class="panel-heading">
			<h5 class="panel-title">Form Input Pengembalian Barang</h5>
			<div class="heading-elements">
				<ul class="icons-list">
		      		<li><a data-action="collapse"></a></li>
		      	</ul>
	       	</div>
	    </div>
	    <div class="panel-body">
	    	<form class="form-horizontal" id="form_submit" method="post" action="{{ url('kembalibarang/simpan') }}" autocomplete="off">
	    	<input type="hidden" name="_token" value="{{ csrf_token() }}">
	    	<input type="hidden" name="id_kembalibarang" value="{{ $data['form_data']['id_kembali'] }}">
	    	<div class="col-sm-12">
        		<table class="table table-stripped">
        			<tr>
        				<td width="20%">Bon Bahan</td>
        				<td width="50%"> @php $id = $data['form_data']['id_kembali'];  @endphp
        					<select class="form-control select-search" name="id_bon" {{ ($id != '') ? "disabled":"" }}>
	    					<option value=""> -- Pilih -- </option>
	    					@php
	    					foreach($data['bon_bahan'] as $b){ 
	    						
	    						$pemroses = '';
	    						if($b['id_rekanan'] != ''){
	    							$pemroses = $b['nama_rekanan']." (Rekanan)";
	    						}else if($b['id_pegawai'] != ''){
	    							$pemroses = $b['nama_pegawai']." (Pegawai)";
	    						}else{
	    							$pemroses = $b['nama_mesin']." (Mesin)";
	    						}
	    						@endphp
	    						<option value="{{ $b['id_barangkeluar'] }}" nomor="{{ $b['noAuto'].$b['noAuto_ext'] }}" no_workorder="{{ $b['no_workorder_barang'] }}" proses="{{ $b['nama_proses'] }}" id_proses="{{ $b['id_proses'] }}" tanggal_ambil="{{ tgl_full($b['tanggal'], '') }}" tanggal_kira="{{ tgl_full($b['tanggal_perkiraan'], '') }}" jenis="{{ $b['jenis'] }}" pemroses="{{ $pemroses }}">{{ $b['noAuto'].$b['noAuto_ext']." - ".$b['nama_proses']." - ".$b['no_workorder_barang']." - ".$pemroses." - " }}</option>
	    					@php
	    					}
	    					@endphp
	    					</select>
	    				</td>

	    				<td></td>
        			</tr>
        		</table>
        	</div>

        	<div class="col-sm-12">
        		<table class="table table-stripped">
        			<tr>
        				<td width="20%">Nomor</td>
        				<td width="5%">:</td>
        				<td id="td_nomor"></td>

        				<td width="20%">Tanggal Pengambilan</td>
        				<td>:</td>
        				<td id="td_ambil"></td>
        			</tr>
        			<tr>
        				<td>No. Order</td>
        				<td>:</td>
        				<td id="td_order"></td>

        				<td>Tanggal Perkiraan</td>
        				<td>:</td>
        				<td id="td_kira"></td>
        			</tr>
        			<tr>
        				<td>Proses Produksi</td>
        				<td>:</td>
        				<td id="td_proses"></td>

        				<td>Pemroses</td>
        				<td>:</td>
        				<td id="td_pemroses"></td>
        			</tr>
        		</table>
        	</div>
        	

        	<div class="col-sm-12 form-group">
	        	<h5 class="panel-title">Barang Dikembalikan</h5>
	        	<br><a href="#" class="btn btn-success" style="margin-bottom: 1%;" id="btn_tambah_kembali">Tambah Barang</a>
	        		<div class="table-responsive">
		        	<table class="table table-stripped" id="table_kembali">
				    	<thead>
							<tr>
								<th>No</th>
								<th>Kode Barang</th>
								<th>Nama Barang</th>
								<th>Warna</th>
								<th>Jumlah</th>
								<th>Satuan</th>
								<th>Hasil</th>
								<th>Satuan Hasil</th>
								<th>Gudang</th>
								<th>Corak</th>
								<th>Aksi</th>
							</tr>
						</thead>
						<tbody id="body_setor">
						</tbody>
			    	</table>
			    	</div>
        	</div>

        	<div class="col-sm-12">
        	
            <div class="form-group pull-right">
             	<button class="btn btn-primary" type="submit" id="btn_simpan" style="display: none">Simpan</button>
            </div>
            </div>
	    </div>
	    
	</div>
</div>


<input type="hidden" name="store_idbarangkeluar" value="{{ $data['form_data']['id_barangkeluar'] }}">
<input type="hidden" name="store_jenis" value="{{ $data['form_data']['jenis'] }}">

</form>

<!---Modal--->

<div class="modal fade" id="modal_kembali" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
	    <div class="modal-content">
	    	<div class="modal-header">
	    		<h5 class="modal-title" id="exampleModalLabel">Data</h5>
	    		<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span></button>
	      	</div>
	      	<div class="modal-body">
	      		<form class="form-horizontal" autocomplete="off">
	      			<input type="hidden" name="popup_idtable_kembali">
	      			<input type="hidden" name="popup_idkolom">
	      			<input type="hidden" name="popup_idbb">
	      			<input type="hidden" name="popup_idjenis">
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Barang Diambil</label>
	      				<div class="col-sm-8">
		      			 	<select class="form-control select-search" name="popup_barang_pilih">
		      			 		
		      			 		
		      			 	</select>
	      				</div>
	      			</div>
	      			<hr>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Barang</label>
	      				<div class="col-sm-8">
		      			 	<select class="form-control select-search" name="popup_barang_kembali">
		      			 		<option value="" nama="">--- Pilih ---</option>
		      			 		@php
		      			 		foreach($data['barang'] as $b){ @endphp
		      			 			<option value="{{ $b->id }}" nama="{{ $b->nama_barang }}" kode="{{ $b->kode_barang }}" satuan="{{ $b->id_satuan }}">{{ $b->nama_kategori.' - '.$b->nama_sub.' - '.$b->kode_barang.' - '.$b->nama_barang }}</option>
		      			 		@php
		      			 		}
		      			 		@endphp	
		      			 	</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Proses</label>
	      				<div class="col-sm-8">
		      			 	<select class="form-control select-search" name="popup_proses_kembali">
		      			 		<option value="" nama="">--- Pilih ---</option>
		      			 		@php
		      			 		foreach($data['proses'] as $b){ @endphp
		      			 			<option value="{{ $b->id_proses }}" nama="{{ $b->nama_proses }}">{{ $b->nama_proses }}</option>
		      			 		@php
		      			 		}
		      			 		@endphp	
		      			 	</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Gudang</label>
	      				<div class="col-sm-8">
	      			 	<select class="form-control select-search" name="popup_gudang_kembali">
	      			 			<option value="" nama="">--- Pilih ---</option>
		      			 		@php
		      			 		foreach($data['gudang'] as $b){ @endphp
		      			 			<option value="{{ $b->id_gudang }}" nama="{{ $b->nama_gudang }}">{{ $b->nama_gudang }}</option>
		      			 		@php
		      			 		}
		      			 		@endphp
	      			 	</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Kualitas Proses</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kualitas_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['kualitas_proses'] as $s){ @endphp
	      			 				<option value="{{ $s->id_kualitas }}" nama="{{ $s->nama_kualitas }}">{{ $s->nama_kualitas }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Warna</label>
	      				<div class="col-sm-8">
	      					
	      			 	
	      			 		<select name="popup_komposisi_kembali" class="form-control select-search">
	      			 			<option value="" name="Tanpa Warna">Tanpa Warna</option>
	      			 			@php
	      			 			foreach($data['warna'] as $w){ @endphp
	      			 				<option value="{{ $w->id_komposisi }}" name="{{ $w->nama }}">{{ $w->nama.' ('.$w->inisial.')' }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Corak</label>
	      				<div class="col-sm-8">
	      			 		<select name="popup_corak_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['corak'] as $w){ @endphp
	      			 				<option value="{{ $w->id_motif_barang }}" nama="{{ $w->motif_keterangan }}">{{ $w->motif_keterangan }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>

	      			<div class="form-group" id="div_motif">
	      				<label class="control-label col-sm-4">Motif</label>
	      				<div class="col-sm-8"> 
	      			 		<select name="popup_motif_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['motif'] as $w){ @endphp
	      			 				<option value="{{ $w->id_motif }}" nama="{{ $w->nama_motif }}">{{ $w->nama_motif }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_motif">
	      				<label class="control-label col-sm-4">No. Order</label>
	      				<div class="col-sm-8"> 
	      			 		<select name="popup_order_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			
	      			 		</select>
	      				</div>
	      			</div>  
	      			<div class="form-group" id="div_kualitas">
	      				<label class="control-label col-sm-4">Kualitas Tenun</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kual_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['kualitas_tenun'] as $k1){ 
	      			 				@endphp
	      			 				<option value="{{ $k1->id_kualitas }}" nama="{{ $k1->nama_kualitas }}">{{ $k1->nama_kualitas }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp 
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_dudul">
	      				<label class="control-label col-sm-4">Kualitas Dudulan</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_dudul_kembali" class="form-control select-search">
	      			 			<option value="" nama="">-- Pilih Dudulan --</option>
	      			 			<option value="1" nama="Baik">Baik</option>
	      			 			<option value="2" nama="Jelek">Jelek</option>
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_kualitas">
	      				<label class="control-label col-sm-4">Kualitas Periksa</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_periksa_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['kualitas_periksa'] as $s){ @endphp
	      			 				<option value="{{ $s->id_kualitas }}" nama="{{ $s->nama_kualitas }}">{{ $s->nama_kualitas }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp 
	      			 		</select>
	      				</div>
	      			</div> 
	      			<div class="form-group" id="div_label">
	      				<label class="control-label col-sm-4">Label</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_label_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['barang_label'] as $s){ @endphp
	      			 				<option value="{{ $s->id }}" nama="{{ $s->nama_barang }}" kode="{{ $s->kode_barang }}">{{ $s->nama_barang }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp 
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Cap</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_cap_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['barang_cap'] as $s){ @endphp
	      			 				<option value="{{ $s->id }}" nama="{{ $s->nama_barang }}" kode="{{ $s->kode_barang }}">{{ $s->nama_barang }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Kemasan Awal</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kemasan_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['barang_awal'] as $s){ @endphp
	      			 				<option value="{{ $s->id }}" nama="{{ $s->nama_barang }}" kode="{{ $s->kode_barang }}">{{ $s->nama_barang }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_kemasansatuan">
	      				<label class="control-label col-sm-4">Kemasan Satuan</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kemasansatuan_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['barang_satuan'] as $s){ @endphp
	      			 				<option value="{{ $s->id }}" nama="{{ $s->nama_barang }}" kode="{{ $s->kode_barang }}">{{ $s->nama_barang }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group" id="div_kemasansepuluh">
	      				<label class="control-label col-sm-4">Kemasan 10 Potong</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kemasansepuluh_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['barang_satuan'] as $s){ @endphp
	      			 				<option value="{{ $s->id }}" nama="{{ $s->nama_barang }}" kode="{{ $s->kode_barang }}">{{ $s->nama_barang }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>

	      			<div class="form-group" id="div_kemasanseratus">
	      				<label class="control-label col-sm-4">Kemasan Dosball</label>
	      				<div class="col-sm-8">	
	      			 		<select name="popup_kemasanseratus_kembali" class="form-control select-search">
	      			 			<option value="" nama="">--- Pilih ---</option>
	      			 			@php
	      			 			foreach($data['barang_dos'] as $s){ @endphp
	      			 				<option value="{{ $s->id }}" nama="{{ $s->nama_barang }}" kode="{{ $s->kode_barang }}">{{ $s->nama_barang }}</option>
	      			 			@php
		      			 		}
		      			 		@endphp
	      			 		</select>
	      				</div>
	      			</div>

	      			<div class="form-group" style="display: none;">
	      				<label class="control-label col-sm-4">Keterangan</b></label>
	      				<div class="col-sm-8">
	      			 		<textarea class="form-control" name="popup_keterangan_kembali"></textarea>
	      				</div>
	      			</div>
	      			<hr>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Jumlah</b></label>
	      				<div class="col-sm-8">
	      			 	<input type="text" name="popup_jumlah_kembali" class="form-control number-only" onkeyup="maksimal($(this))">
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Satuan</b></label>
	      				<div class="col-sm-8">
	      			 		<select class="form-control select-search" name="popup_satuan_kembali">
	      			 			<option value="">---- Pilih Satuan ----</option>
	      			 			@foreach($data['satuan'] as $s){
	      			 				<option value="{{ $s->id_satuan }}" name="{{ $s->nama_satuan }}">{{ $s->nama_satuan }}</option>
	      			 			@endforeach 
	      			 		</select>
	      				</div>
	      			</div>
	      			<div class="form-group">
                        <label class="control-label col-sm-4">Perkiraan Laporan Hasil</label>
                        <div class="col-sm-8">
                            <input type="text" name="popup_jumlahhasil" class="form-control number-only">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-4">Satuan Perkiraan Laporan Hasil</label>
                        <div class="col-sm-8">
                            <select class="form-control select-search" name="popup_satuanhasil" >
                                <option value="">-- Pilih --</option>
                                @php foreach($data['satuan'] as $d){@endphp
                                <option value="{{$d->id_satuan}}" nama="{{$d->nama_satuan}}">{{$d->nama_satuan}}</option>
                                @php } @endphp
                            </select>       
                        </div>
                    </div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Menghasilkan</label>
	      				<div class="col-sm-8">
	      					<input type="text" name="popup_menghasilkan_kembali" class="form-control" onkeyup="maksimal($(this))">
	      					<input type="hidden" name="popup_satuanrencana">
		      			 	<input type="hidden" name="popup_jumlahrencana">
		      			 	<input type="hidden" name="popup_nama_satuanrencana">
		      			 	<input type="hidden" name="popup_stokrencana">
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Satuan Menghasilkan</label>
	      				<div class="col-sm-8">
	      					<select class="form-control select-search" name="popup_satuanhasil_kembali">
	      						<option value="">---- Pilih Satuan ----</option>
	      						@foreach($data['satuan'] as $s){
	      			 				<option value="{{ $s->id_satuan }}" name="{{ $s->nama_satuan }}">{{ $s->nama_satuan }}</option>
	      			 			@endforeach 
	      					</select>
	      				</div>
	      			</div>	
	      		</form>
	      	</div>
	      	<div class="modal-footer">
	        	<button type="button" class="btn btn-primary" id="btn_popup_simpan">Simpan</button>
	      	</div>
	    </div>
	</div>
</div>

<input type="hidden" name="store_rubahsatuan">
<input type="hidden" name="store_jumedit">

<script type="text/javascript">

	var table_barang;
	var tb_no = parseInt(10000);
	var id_proses;
	var nama_proses;
	var id;
	var proses;
	var id_kembali;
	var store_idbarangkeluar = '';
	var store_jenis = '';
	var store_proses = '';
	$(document).ready(function(){
		table_barang = $("#table_kembali").DataTable({
			"paging": false
		});
		table_barang.on( 'order.dt search.dt', function () {
            table_barang.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
                cell.innerHTML = i+1;
            } );
        } ).draw();


	id_kembali = $("[name=id_kembalibarang]").val();

	console.log(id_kembali);
	if(id_kembali != ''){
		store_idbarangkeluar = $("[name=store_idbarangkeluar]").val();
		store_jenis = $("[name=store_jenis]").val();

	//	console.log(store_idbarangkeluar+"\n"+store_jenis);

		var id = $("[name=id_bon]").find("option[value = '"+store_idbarangkeluar+"'][jenis = '"+store_jenis+"']").prop('selected', true).trigger("change");
		var select2 = $("[name=id_bon]").find("option[value = '"+store_idbarangkeluar+"'][jenis = '"+store_jenis+"']").prop('readonly', true);
		//console.log(id.length);

		get_edit(id_kembali);
	}
        
	})

	$("#btn_tambah_kembali").click(function(){
		get_clear();
		$("#modal_kembali").modal('show');
	})

	$("[name=id_bon]").change(function(){
		var id_barangkeluar = $(this).val();
		
		if(id_kembali == ''){
			table_barang.clear().draw();
		}

		if(id_barangkeluar != ''){
			var nomor = $("[name=id_bon] :selected").attr('nomor');
			var order = $("[name=id_bon] :selected").attr('no_workorder');
			var proses = $("[name=id_bon] :selected").attr('proses');
			var tanggal_ambil = $("[name=id_bon] :selected").attr('tanggal_ambil');
			var tanggal_kira = $("[name=id_bon] :selected").attr('tanggal_kira');
			var pemroses = $("[name=id_bon] :selected").attr('pemroses');
			var jenis = $("[name=id_bon] :selected").attr('jenis');
			var id_proses = $("[name=id_bon] :selected").attr('id_proses');

			perkiraan_hasil(id_proses);
			store_proses = id_proses;
			get_barang(id_barangkeluar, jenis);
			get_workorder(id_barangkeluar, jenis);
			$("[name=store_idbarangkeluar]").val(id_barangkeluar);
			$("[name=store_jenis]").val(jenis);

			$("#btn_simpan").show();
		}else{
			var nomor = "";
			var order = "";
			var proses = "";
			var tanggal_ambil = "";
			var tanggal_kira = "";
			var pemroses = "";

			$("[name=popup_barang_pilih]").html('');
			$("#btn_simpan").hide();
		}

		$("#td_nomor").text(nomor);
		$("#td_ambil").text(tanggal_ambil);
		$("#td_order").text(order);
		$("#td_kira").text(tanggal_kira);
		$("#td_proses").text(proses);
		$("#td_pemroses").text(pemroses);

	})

	function get_barang(id_keluar, jenis){
		$.ajax({
			url: "{{ url('kembalibarang/get_barang') }}",
			type: 'get',
			dataType: 'json',
			data: {id_keluar : id_keluar, jenis : jenis},
			success: function(respon){
				$("[name=popup_barang_pilih]").html('');
				if(respon.length > 0){
					$("[name=popup_barang_pilih]").append('<option value="">-- Pilih Barang --</option>');
					for(i in respon){
						
								var id_gudang ='';
								var nama_gudang = ''; 
								var name_gudang= '';
								var id_komposisi = '';
								var nama_komposisi = '';
								var name_komposisi = '';
								var id_corak = ''; 
								var nama_corak = '';
								var name_corak = '';
								var id_motif = '';
								var nama_motif = '';
								var name_motif = '';
                                var id_kual = '';
                                var nama_kual = '';
                                var name_kual = '';
                                var id_dudul = '';
                                var nama_dudul = '';
                                var name_dudul = '';
                                var id_label = '';
                                var nama_label = '';
                                var name_label = '';
                                var id_kemasan = '';
                                var nama_kemasan = '';
                                var name_kemasan = '';
                                var id_kemasansatuan = '';
                                var nama_kemasansatuan = '';
                                var name_kemasansatuan = '';
                                var id_kemasansepuluh = '';
                                var nama_kemasansepuluh = '';
                                var name_kemasansepuluh = '';
                                var id_kemasanseratus = '';
                                var nama_kemasanseratus = '';
                                var name_kemasanseratus = '';
                                var id_proses = '';
                                var nama_proses = '';
                                var name_proses = '';
                                var spk = '';
                                var no_spk = '';
                                var nomor_spk = '';
                                var workorder = '';
                                var no_workorder = '';
                                var nomor_workorder = '';
                                var id_cap = '', nama_cap = '', cap = '', id_kual_proses = '', nama_kual_proses = '', kual_proses = '', id_kual_periksa = '', nama_kual_periksa = '', kual_periksa = '', id_rencana = '', nama_rencana = '', jumlah_rencana = '', nama_satuanrencana = '' ;

							if(respon[i].id_gudang != ''){
								id_gudang = respon[i].id_gudang;
								nama_gudang = ' - '+respon[i].nama_gudang;
								name_gudang = respon[i].nama_gudang;
							}
							if(respon[i].id_komposisi != ''){
								id_komposisi = respon[i].id_komposisi;
								nama_komposisi = ' - '+respon[i].nama_komposisi;
								name_komposisi = respon[i].nama_komposisi;
							}
							if(respon[i].id_corak != ''){
								id_corak = respon[i].id_corak; 
								nama_corak = ' - '+respon[i].nama_corak;
								name_corak = respon[i].nama_corak; 
							}
							if(respon[i].id_motif != ''){
								id_motif = respon[i].id_motif; 
								nama_motif = ' - '+respon[i].nama_motif;
								name_motif = respon[i].nama_motif;
							}
                            if(respon[i].id_kualitas != ''){
                                id_kual = respon[i].id_kualitas; 
                                nama_kual = ' - '+respon[i].nama_kualitas; 
                                name_kual = respon[i].nama_kualitas;
                            }
                            if(respon[i].id_kualitas_dudul != ''){
                                id_dudul = respon[i].id_kualitas_dudul;
                                nama_dudul = ' - Dudulan '+respon[i].kualitas_dudul;
                                name_dudul = respon[i].kualitas_dudul;
                            }

                            if(respon[i].id_label !=''){
                                id_label = respon[i].id_label;
                                nama_label = ' - '+respon[i].nama_label;
                                name_label = respon[i].nama_label;
                            }

                            if(respon[i].id_kemasan != ''){
                                id_kemasan = respon[i].id_kemasan;
                                nama_kemasan = ' - '+respon[i].nama_kemasan;
                                name_kemasan = respon[i].nama_kemasan
                            }

                            if(respon[i].id_kemasansatuan != ''){
                                id_kemasansatuan = respon[i].id_kemasansatuan;
                                nama_kemasansatuan = ' - '+respon[i].nama_kemasansatuan;
                                name_kemasansatuan = respon[i].nama_kemasansatuan;
                            }

                            if(respon[i].id_kemasansepuluh != ''){
                                id_kemasansepuluh = respon[i].id_kemasansepuluh;
                                nama_kemasansepuluh = ' - '+respon[i].nama_kemasansepuluh;
                                name_kemasansepuluh = respon[i].nama_kemasansepuluh;
                            }

                            if(respon[i].id_kemasanseratus != ''){
                                id_kemasanseratus = respon[i].id_kemasanseratus;
                                nama_kemasanseratus = ' - '+respon[i].nama_kemasanseratus;
                                name_kemasanseratus = respon[i].nama_kemasanseratus;
                            }

                            if(respon[i].id_proses != ''){
                            	id_proses = respon[i].id_proses;
                            	nama_proses = ' - '+respon[i].nama_proses;
                            	name_proses = respon[i].nama_proses;
                            }

                            if(respon[i].id_workorder != ''){
                            	spk = respon[i].id_workorder;
                            	no_spk = ' - '+respon[i].no_workorder;
                            	nomor_spk = respon[i].no_workorder;
                            }

                            if(respon[i].id_workorder_barang != ''){
                            	workorder = respon[i].id_workorder_barang;
                            	no_workorder = ' - '+respon[i].no_workorder_barang;
                            	nomor_workorder = respon[i].no_workorder_barang;
                            }

                            if(respon[i].id_cap != ''){
                            	id_cap = respon[i].id_cap;
                            	nama_cap = ' - '+respon[i].nama_cap;
                            	cap = respon[i].nama_cap;
                            }

                            if(respon[i].id_kualitas_proses != ''){
                            	id_kual_proses = respon[i].id_kualitas_proses;
                            	nama_kual_proses = ' - Proses '+respon[i].nama_kualitas_proses;
                            	kual_proses = respon[i].nama_kualitas_proses;
                            }

                            if(respon[i].id_kualitas_periksa != ''){
                            	id_kual_periksa = respon[i].id_kualitas_periksa;
                            	nama_kual_periksa = ' - Periksa '+respon[i].nama_kualitas_periksa;
                            	kual_periksa = respon[i].nama_kualitas_periksa;
                            }

                            if(respon[i].id_perubahansatuan != ''){
                            	id_rencana = respon[i].id_perubahansatuan;
                            	nama_rencana = ' - Untuk '+respon[i].jumlah_rencana+' '+respon[i].nama_perubahansatuan;
                            	nama_satuanrencana = respon[i].nama_perubahansatuan;
                            	jumlah_rencana = respon[i].jumlah_rencana;
                            }

                            $("[name=popup_barang_pilih]").append('<option value="'+respon[i].id_barang+'" id_bb="'+respon[i].id_bb+'" jenis="'+jenis+'" barang="'+respon[i].nama_barang+'" kode="'+respon[i].kode_barang+'" satuan="'+respon[i].id_satuan+'" nama_satuan="'+respon[i].nama_satuan+'" gudang="'+id_gudang+'" nama_gudang="'+name_gudang+'" komposisi="'+id_komposisi+'" nama_komposisi="'+name_komposisi+'" corak="'+id_corak+'" nama_corak="'+name_corak+'" motif="'+id_motif+'" nama_motif="'+name_motif+'" kualitas="'+id_kual+'" nama_kualitas="'+name_kual+'" dudulan="'+id_dudul+'" nama_dudulan="'+name_dudul+'" label="'+id_label+'" nama_label="'+name_label+'" kemasan="'+id_kemasan+'" nama_kemasan="'+name_kemasan+'" kemasan_satuan="'+id_kemasansatuan+'" nama_kemasansatuan="'+name_kemasansatuan+'" kemasan_sepuluh="'+id_kemasansepuluh+'" nama_kemasansepuluh="'+name_kemasansepuluh+'" kemasan_seratus="'+id_kemasanseratus+'" nama_kemasanseratus="'+name_kemasanseratus+'" proses="'+id_proses+'" nama_proses="'+name_proses+'" spk="'+spk+'" no_spk="'+nomor_spk+'" workorder="'+workorder+'" no_workorder="'+nomor_workorder+'" id_cap="'+id_cap+'" cap="'+cap+'" id_kual_proses="'+id_kual_proses+'" kual_proses="'+kual_proses+'" id_kual_periksa="'+id_kual_periksa+'" kual_periksa="'+kual_periksa+'" rencana="'+id_rencana+'" jumlah_rencana="'+jumlah_rencana+'" nama_satuanrencana="'+nama_satuanrencana+'" jumlah="'+respon[i].stok+'" keterangan="'+respon[i].keterangan+'">'+respon[i].concat_nama+'</option>');
						
					}
				}else{
					$("[name=popup_barang_pilih]").html('');
					$("[name=popup_barang_pilih]").append('<option value=""> Stok Kosong </option>');
					$("[name=popup_stok]").text('');		
				}
			}
		})
	}

	$("[name=popup_barang_pilih]").change(function(){
		
		var id_tabel = $("[name=popup_idtable_kembali]").val();
		var id_bb =$("[name=popup_barang_pilih] :selected").attr('id_bb');
		var jenis =$("[name=popup_barang_pilih] :selected").attr('jenis');
		var id_gudang =$("[name=popup_barang_pilih] :selected").attr('gudang');
		var id_barang = $(this).val();
		var id_corak = $("[name=popup_barang_pilih] :selected").attr('corak');
		var id_satuan = $("[name=popup_barang_pilih] :selected").attr('satuan');
		var nilai = parseInt(0);
		var id_komposisi = $("[name=popup_barang_pilih] :selected").attr('komposisi');
        var id_kualitas = $("[name=popup_barang_pilih] :selected").attr('kualitas');
        var id_dudul = $("[name=popup_barang_pilih] :selected").attr('dudulan');
        var id_motif = $("[name=popup_barang_pilih] :selected").attr('motif');
        var id_label = $("[name=popup_barang_pilih] :selected").attr('label');
        var id_kemasan = $("[name=popup_barang_pilih] :selected").attr('kemasan');
        var id_kemasansatuan = $("[name=popup_barang_pilih] :selected").attr('kemasan_satuan');
        var id_kemasansepuluh = $("[name=popup_barang_pilih] :selected").attr('kemasan_sepuluh');
        var id_kemasanseratus = $("[name=popup_barang_pilih] :selected").attr('kemasan_seratus');
        var id_proses = $("[name=popup_barang_pilih] :selected").attr('proses');
        var spk = $("[name=popup_barang_pilih] :selected").attr('spk');
        var workorder = $("[name=popup_barang_pilih] :selected").attr('workorder');
        var id_cap = $("[name=popup_barang_pilih] :selected").attr('id_cap');
        var id_kual_proses = $("[name=popup_barang_pilih] :selected").attr('id_kual_proses');
        var id_kual_periksa = $("[name=popup_barang_pilih] :selected").attr('id_kual_periksa');
        var id_rencana = $("[name=popup_barang_pilih] :selected").attr('rencana');
        var jumlah_rencana = $("[name=popup_barang_pilih] :selected").attr('jumlah_rencana');
        var jumlah = $("[name=popup_barang_pilih] :selected").attr('jumlah');
        var keterangan = $("[name=popup_barang_pilih] :selected").attr('keterangan');

    //    $("[name=popup_idkolom]").val(id_tabel);
        $("[name=popup_idbb]").val(id_bb);
        $("[name=popup_idjenis]").val(jenis);
    	$("[name=popup_proses_kembali]").val(id_proses).trigger('change');
    	$("[name=popup_barang_kembali]").val(id_barang).trigger('change');
    	$("[name=popup_gudang_kembali]").val(id_gudang).trigger('change');
    	$("[name=popup_kualitas_kembali]").val(id_kual_proses).trigger('change');
    	$("[name=popup_komposisi_kembali]").val(id_komposisi).trigger('change');
    	$("[name=popup_corak_kembali]").val(id_corak).trigger('change');
    	$("[name=popup_motif_kembali]").val(id_motif).trigger('change');
    	$("[name=popup_order_kembali]").val(workorder).trigger('change');
    	$("[name=popup_kual_kembali]").val(id_kualitas).trigger('change');
    	$("[name=popup_dudul_kembali]").val(id_dudul).trigger('change');
    	$("[name=popup_periksa_kembali]").val(id_kual_periksa).trigger('change');
    	$("[name=popup_label_kembali]").val(id_label).trigger('change');
    	$("[name=popup_cap_kembali]").val(id_cap).trigger('change');
    	$("[name=popup_kemasan_kembali]").val(id_kemasan).trigger('change');
    	$("[name=popup_kemasansatuan_kembali]").val(id_kemasansatuan).trigger('change');
    	$("[name=popup_kemasansepuluh_kembali]").val(id_kemasansepuluh).trigger('change');
    	$("[name=popup_kemasanseratus_kembali]").val(id_kemasanseratus).trigger('change');
    	$("[name=popup_satuan_kembali]").val(id_satuan).trigger('change');
    	$("[name=popup_satuanhasil_kembali]").val(id_rencana).trigger('change');
    	$("[name=popup_keterangan_kembali]").val(keterangan);

    	if(id_rencana != ''){
	                       
	                            
	        $("[name=store_rubahsatuan]").val(jumlah_rencana);
	        $("[name=popup_menghasilkan_kembali]").attr('min', 0);
	            if(jumlah_rencana < 1){
	            	$("[name=popup_menghasilkan_kembali]").attr('max', (1/(parseFloat(jumlah_rencana))/jumlah ) );	
	            }else{
	            	$("[name=popup_menghasilkan_kembali]").attr('max', jumlah_rencana*jumlah);
	            }
	        	popup_jumlah(jumlah);
	            
	    }else{
	        $("[name=popup_menghasilkan_kembali]").val('');
	        $("[name=store_rubahsatuan]").val('');
	    }

    	$("[name=popup_jumlah_kembali]").val(jumlah);
    	

  //       $("[name=popup_jumlah]").val('');
		// $("[name=popup_stok]").text('');
			
		 	var total = parseFloat(0);
			$('input[id^="tabel_jumlah"]').each(function() {
				              
				var val = ($(this).attr('id'));
				val = val.replace('tabel_jumlah', '');

				if($("#tabel_idbarang"+val).val() == id_barang && $("#tabel_idkomposisi"+val).val() == id_komposisi && $("#tabel_idcorak"+val).val() == id_corak && $("#tabel_idkualitas"+val).val()  == id_kualitas && $("#tabel_iddudul"+val).val() == id_dudul && $("#tabel_idmotif"+val).val() == id_motif && $("#tabel_idlabel"+val).val() == id_label && $("#tabel_idkemasan"+val).val() == id_kemasan && $("#tabel_idkemasansatuan"+val).val() == id_kemasansatuan && $("#tabel_idkemasansepuluh"+val).val() == id_kemasansepuluh && $("#tabel_idkemasanseratus"+val).val() == id_kemasanseratus && $("#tabel_workorder"+val).val() == workorder && $("#tabel_proses"+val).val() == id_proses && $("#tabel_idgudang"+val).val() == id_gudang && $("#tabel_idcap"+val).val() == id_cap && $("#tabel_idkualitasperiksa"+val).val() == id_kual_periksa && $("#tabel_idkualitasproses"+val).val() == id_kual_proses && $("#tabel_idsatuan"+val).val() == id_satuan && $("#tabel_idsatuan_perubahan"+val).val() == id_rencana && $("#tabel_perubahanjumlah"+val).val() == jumlah_rencana && $("#tabel_idtable"+val).val() == ''){
						    
						var jum = $("#tabel_jumlah"+val).val();
						total += parseFloat(jum);
				}


					// console.log($("#tabel_idbarang"+val).val()+" - "+$("#tabel_idkomposisi"+val).val()+" - "+$("#tabel_idcorak"+val).val()+" - "+$("#tabel_idkualitas"+val).val()+" - "+$("#tabel_iddudul"+val).val()+" - "+$("#tabel_idmotif"+val).val()+" - "+$("#tabel_idlabel"+val).val()+" - "+$("#tabel_idkemasan"+val).val()+" - "+$("#tabel_idkemasansatuan"+val).val()+" - "+$("#tabel_idkemasansepuluh"+val).val()+" - "+$("#tabel_idkemasanseratus"+val).val()+" - "+$("#tabel_workorder"+val).val()+" - "+$("#tabel_proses"+val).val()+" - "+$("#tabel_idgudang"+val).val()+" - "+$("#tabel_idcap"+val).val()+" - "+$("#tabel_idkualitasperiksa"+val).val()+" - "+$("#tabel_idkualitasproses"+val).val()+" - "+$("#tabel_idsatuan"+val).val()+" - "+$("#tabel_idsatuan_perubahan"+val).val()+" - "+$("#tabel_perubahanjumlah"+val).val());

					// console.log(id_barang+" - "+id_komposisi+" - "+id_corak+" - "+id_kualitas+" - "+id_dudul+" - "+id_motif+" - "+id_label+" - "+id_kemasan+" - "+id_kemasansatuan+" - "+id_kemasansepuluh+" - "+id_kemasanseratus+" - "+workorder+" - "+id_proses+" - "+id_gudang+" - "+id_cap+" - "+id_kual_periksa+" - "+id_kual_proses+" - "+id_satuan+" - "+id_rencana+" - "+jumlah_rencana);
                    	 
			});				        			        
						
							if($("[name=popup_idkolom]").val() == ''){
								nilai = parseFloat(jumlah)-total;
								console.log("stok "+jumlah+"\nTotal "+total);
							}else{
								
								var jum = 0;
								if($("[name=store_jumedit]").val() != ''){
									jum = $("[name=store_jumedit]").val();
								}
								if(id_tabel == ''){
									
									nilai = (parseFloat(jumlah)-total)+parseFloat(jum);
								}else{
									
									nilai = parseFloat(jumlah)+(parseFloat(jum));	
								}

								console.log("stok "+jumlah+"\nTotal "+total+"\nJumlah "+jum+"\nNilai "+nilai);
							}
							$("[name=popup_jumlah_kembali]").val(nilai);
							$("[name=popup_jumlah_kembali]").attr('min', 0);
							$("[name=popup_jumlah_kembali]").attr('max', nilai);

							if(id_rencana != ''){
	                            
	                            $("[name=store_rubahsatuan]").val(jumlah_rencana);

	                            $("[name=popup_menghasilkan_kembali]").attr('min', 0);
	                            if(jumlah_rencana < 1){
	                            	$("[name=popup_menghasilkan_kembali]").attr('max', (1/(parseFloat(jumlah_rencana))/nilai ) );	
	                            }else{
	                            	$("[name=popup_menghasilkan_kembali]").attr('max', jumlah_rencana*nilai);
	                            }
	                            

	                            if($("[name=popup_list]").val() != ''){
	                            	
	                            	popup_jumlah(nilai);
	                            }
	                        }else{
	                        	$("[name=popup_menghasilkan_kembali]").val('');
								// $("#satuan_menghasilkan").text('');
	       //                      $("#div_menghasilkan").hide();
	                        }

						
	})

	
	$("#btn_popup_simpan").click(function(){
		var id_table = $("[name=popup_idtable_kembali]").val();
    	var id_kolom = $("[name=popup_idkolom]").val();
    	var id_barangkeluar = $("[name=popup_idbb]").val();
    	var id_jenis = $("[name=popup_idjenis]").val();
    	var id_proses = $("[name=popup_proses_kembali]").val();

    	var id_barang = $("[name=popup_barang_kembali]").val();
    	var nama_barang = $("[name=popup_barang_kembali] :selected").attr('nama');
    	var kode_barang = $("[name=popup_barang_kembali] :selected").attr('kode');
    	
    	var id_gudang = $("[name=popup_gudang_kembali]").val();
    	var nama_gudang = $("[name=popup_gudang_kembali] :selected").attr('nama');
    	var id_kualitas = $("[name=popup_kualitas_kembali]").val(); //proses
    	
    	var id_komposisi = $("[name=popup_komposisi_kembali]").val();
    	var nama_komposisi = $("[name=popup_komposisi_kembali] :selected").attr('name');
    	
    	var id_corak = $("[name=popup_corak_kembali]").val();
    	var nama_corak = $("[name=popup_corak_kembali] :selected").attr('nama');
    	var id_motif = $("[name=popup_motif_kembali]").val();
    	var id_order = $("[name=popup_order_kembali]").val();
    	var id_tenun = $("[name=popup_kual_kembali]").val();
    	var id_dudul = $("[name=popup_dudul_kembali]").val();
    	var id_periksa = $("[name=popup_periksa_kembali]").val();
    	var id_label = $("[name=popup_label_kembali]").val();
    	var id_cap = $("[name=popup_cap_kembali]").val();
    	var id_kemasan = $("[name=popup_kemasan_kembali]").val();
    	var id_kemasansatuan = $("[name=popup_kemasansatuan_kembali]").val();
    	var id_kemasansepuluh = $("[name=popup_kemasansepuluh_kembali]").val();
    	var id_kemasanseratus = $("[name=popup_kemasanseratus_kembali]").val();
    	
    	var workorder = $("[name=popup_order_kembali]").val();
    	var spk = $("[name=popup_order_kembali] :selected").attr('id_workorder');


    	var id_satuan = $("[name=popup_satuan_kembali]").val();
    	var nama_satuan = $("[name=popup_satuan_kembali] :selected").attr('name');
    	
    	var keterangan = $("[name=popup_keterangan_kembali]").val();

    	var id_perubahansatuan = $("[name=popup_satuanhasil_kembali]").val();

    	var jumlah = $("[name=popup_jumlah_kembali]").val();
    	var jumlah_hasil = $("[name=popup_menghasilkan_kembali]").val();

    	var jum_hasil = $("[name=popup_jumlahhasil]").val();
    	var satuan_hasil = $("[name=popup_satuanhasil]").val();

		var jumlah_perubahan = '';
		var tampil_jp = 0;
		
		var satuan_perubahan = '';
		var nama_satuanperubahan = '';

    	if($("[name=popup_menghasilkan_kembali]").val() != '' && $("[name=popup_menghasilkan_kembali]").val() != '0'){
			var satuan_perubahan = $("[name=popup_satuanhasil_kembali]").val();
			var nama_satuanperubahan = $("[name=popup_satuanhasil_kembali] :selected").attr('name');

			jumlah_perubahan = parseFloat(jumlah_hasil)/parseFloat(jumlah);
			jumlah_perubahan = number_test(jumlah_perubahan);
			tampil_jp = parseFloat(jumlah)*parseFloat(jumlah_perubahan);
			tampil_jp = number_test(tampil_jp);
		}

		if(id_barang != '' && id_gudang != '' && jumlah != '' && jumlah != 0 && id_satuan != ''){
			if(id_kolom == ''){
				table_barang.row.add(['<div><center></center></div>',
					'<div id="list_kode'+tb_no+'">'+kode_barang+'</div>',
					'<div id="list_nama'+tb_no+'">'+nama_barang+'</div>',
					'<div id="list_komposisi'+tb_no+'">'+nama_komposisi+'</div>',
					'<div id="list_jumlah'+tb_no+'">'+jumlah+'</div>',
					'<div id="list_namasatuan'+tb_no+'">'+nama_satuan+'</div>',					
					'<div id="list_perubahan'+tb_no+'">'+tampil_jp+'</div>',
					'<div id="list_namasatuan_perubahan'+tb_no+'">'+nama_satuanperubahan+'</div>',	
					'<div id="list_gudang'+tb_no+'">'+nama_gudang+'</div>',
					'<div id="list_corak'+tb_no+'">'+nama_corak+'</div>',
					'<div><button type="button" class="btn bg-warning-400" onclick="edit_table('+tb_no+')"><i class="icon-pencil"></i> </button><button class="btn bg-danger-800" type="button"  onclick="hapus($(this))""><i class="icon-eraser"></i></button></div>'+
					'<input type="hidden" id="tabel_idtable'+tb_no+'" name="tabel_idtable[]" value="">'+
							'<input type="hidden" name="tabel_id[]" class="tabel_id" id="tabel_id'+tb_no+'" value="'+tb_no+'">'+
							'<input type="hidden" name="tabel_idbarangkeluar[]" id="tabel_idbarangkeluar'+tb_no+'" value="'+id_barangkeluar+'">'+
							'<input type="hidden" name="tabel_jenis[]" id="tabel_jenis'+tb_no+'" value="'+id_jenis+'">'+

							'<input type="hidden" name="tabel_idbarang[]" id="tabel_idbarang'+tb_no+'" value="'+id_barang+'">'+
							'<input type="hidden" name="tabel_idgudang[]" id="tabel_idgudang'+tb_no+'" value="'+id_gudang+'">'+
							'<input type="hidden" name="tabel_proses[]" id="tabel_proses'+tb_no+'" value="'+id_proses+'">'+
							'<input type="hidden" name="tabel_jumlah[]" id="tabel_jumlah'+tb_no+'" value="'+jumlah+'">'+
							'<input type="hidden" name="tabel_perubahanjumlah[]" id="tabel_perubahanjumlah'+tb_no+'" value="'+jumlah_perubahan+'">'+
							'<input type="hidden" name="tabel_komposisi[]" id="tabel_komposisi'+tb_no+'" value="'+nama_komposisi+'">'+
							'<input type="hidden" name="tabel_idkomposisi[]" id="tabel_idkomposisi'+tb_no+'" value="'+id_komposisi+'">'+
							'<input type="hidden" name="tabel_idsatuan[]" id="tabel_idsatuan'+tb_no+'" value="'+id_satuan+'">'+
							'<input type="hidden" name="tabel_idsatuan_perubahan[]" id="tabel_idsatuan_perubahan'+tb_no+'" value="'+satuan_perubahan+'">'+
							'<input type="hidden" name="tabel_idcorak[]" id="tabel_idcorak'+tb_no+'" value="'+id_corak+'">'+
							'<input type="hidden" name="tabel_idmotif[]" id="tabel_idmotif'+tb_no+'" value="'+id_motif+'">'+
							'<input type="hidden" name="tabel_idkualitas[]" id="tabel_idkualitas'+tb_no+'" value="'+id_tenun+'">'+
							'<input type="hidden" name="tabel_iddudul[]" id="tabel_iddudul'+tb_no+'" value="'+id_dudul+'">'+
							'<input type="hidden" name="tabel_idlabel[]" id="tabel_idlabel'+tb_no+'" value="'+id_label+'">'+
							'<input type="hidden" name="tabel_idkemasan[]" id="tabel_idkemasan'+tb_no+'" value="'+id_kemasan+'">'+
							'<input type="hidden" name="tabel_idkemasansatuan[]" id="tabel_idkemasansatuan'+tb_no+'" value="'+id_kemasansatuan+'">'+
							'<input type="hidden" name="tabel_idkemasansepuluh[]" id="tabel_idkemasansepuluh'+tb_no+'" value="'+id_kemasansepuluh+'">'+
							'<input type="hidden" name="tabel_idkemasanseratus[]" id="tabel_idkemasanseratus'+tb_no+'" value="'+id_kemasanseratus+'">'+
							'<input type="hidden" name="tabel_workorder[]" id="tabel_workorder'+tb_no+'" value="'+workorder+'">'+
							'<input type="hidden" name="tabel_spk[]" id="tabel_spk'+tb_no+'" value="'+spk+'">'+
							'<input type="hidden" name="tabel_idcap[]" id="tabel_idcap'+tb_no+'" value="'+id_cap+'">'+
							'<input type="hidden" name="tabel_idkualitasproses[]" id="tabel_idkualitasproses'+tb_no+'" value="'+id_kualitas+'">'+
							'<input type="hidden" name="tabel_idkualitasperiksa[]" id="tabel_idkualitasperiksa'+tb_no+'" value="'+id_periksa+'">'+
							'<input type="hidden" name="tabel_keterangan[]" id="tabel_keterangan'+tb_no+'" value="'+keterangan+'">'+
							'<input type="hidden" name="tabel_jumhasil[]" id="tabel_jumhasil'+tb_no+'" value="'+jum_hasil+'">'+
							'<input type="hidden" name="tabel_sathasil[]" id="tabel_sathasil'+tb_no+'" value="'+satuan_hasil+'">'
							]).draw(false);
					tb_no++;
			}else{
				$("#list_kode"+id_kolom).text(kode_barang);
				$("#list_nama"+id_kolom).text(nama_barang);
				$("#list_komposisi"+id_kolom).text(nama_komposisi);
				$("#list_jumlah"+id_kolom).text(jumlah);
				$("#list_namasatuan"+id_kolom).text(nama_satuan);
				$("#list_perubahan"+id_kolom).text(tampil_jp);
				$("#list_namasatuan_perubahan"+id_kolom).text(nama_satuanperubahan);
				$("#list_gudang"+id_kolom).text(nama_gudang);
				$("#list_corak"+id_kolom).text(nama_corak);

				$("#tabel_idbarangkeluar"+id_kolom).val(id_barangkeluar);
				$("#tabel_jenis"+id_kolom).val(id_jenis);
				$("#tabel_idbarang"+id_kolom).val(id_barang);
				$("#tabel_idgudang"+id_kolom).val(id_gudang);
				$("#tabel_proses"+id_kolom).val(id_proses);
				$("#tabel_jumlah"+id_kolom).val(jumlah);

				$("#tabel_perubahanjumlah"+id_kolom).val(jumlah_perubahan);
				$("#tabel_komposisi"+id_kolom).val(nama_komposisi);
				$("#tabel_idkomposisi"+id_kolom).val(id_komposisi);
				$("#tabel_idsatuan"+id_kolom).val(id_satuan);
				$("#tabel_idsatuan_perubahan"+id_kolom).val(satuan_perubahan);
				$("#tabel_idcorak"+id_kolom).val(id_corak);
				$("#tabel_idmotif"+id_kolom).val(id_motif);
				$("#tabel_idkualitas"+id_kolom).val(id_tenun);
				$("#tabel_iddudul"+id_kolom).val(id_dudul);
				$("#tabel_idlabel"+id_kolom).val(id_label);
				$("#tabel_idkemasan"+id_kolom).val(id_kemasan);
				$("#tabel_idkemasansatuan"+id_kolom).val(id_kemasansatuan);
				$("#tabel_idkemasansepuluh"+id_kolom).val(id_kemasansepuluh);
				$("#tabel_idkemasanseratus"+id_kolom).val(id_kemasanseratus);
				$("#tabel_workorder"+id_kolom).val(workorder);
				$("#tabel_spk"+id_kolom).val(spk);
				$("#tabel_idcap"+id_kolom).val(id_cap);
				$("#tabel_idkualitasproses"+id_kolom).val(id_kualitas);
				$("#tabel_idkualitasperiksa"+id_kolom).val(id_periksa);
				$("#tabel_keterangan"+id_kolom).val(keterangan);

				$("#tabel_jumhasil"+id_kolom).val(jum_hasil);
				$("#tabel_sathasil"+id_kolom).val(satuan_hasil);

			}

			$("#modal_kembali").modal('hide');
		}
	})

	function edit_table(id){
		var idtable = $("#tabel_idtable"+id).val();
		var id = $("#tabel_id"+id).val();
		var id_barangkeluar = $("#tabel_idbarangkeluar"+id).val();
		var id_jenis = $("#tabel_jenis"+id).val();

		var id_barang = $("#tabel_idbarang"+id).val();
		var id_gudang = $("#tabel_idgudang"+id).val();
		var id_proses = $("#tabel_proses"+id).val();

		var id_kualitasproses = $("#tabel_idkualitasproses"+id).val();
		var id_komposisi = $("#tabel_idkomposisi"+id).val();

		var jumlah = $("#tabel_jumlah"+id).val();
		var id_corak = $("#tabel_idcorak"+id).val();
		var id_motif = $("#tabel_idmotif"+id).val();
		var workorder = $("#tabel_workorder"+id).val();
		var id_kualitas = $("#tabel_idkualitas"+id).val();
		var id_dudul = $("#tabel_iddudul"+id).val();
		var id_kualitasperiksa = $("#tabel_idkualitasperiksa"+id).val();
		var id_label = $("#tabel_idlabel"+id).val();
		var id_cap = $("#tabel_idcap"+id).val();
		var id_kemasan = $("#tabel_idkemasan"+id).val();
		var id_kemasansatuan = $("#tabel_idkemasansatuan"+id).val();
		var id_kemasansepuluh = $("#tabel_idkemasansepuluh"+id).val();
		var id_kemasanseratus = $("#tabel_idkemasanseratus"+id).val();
		var keterangan = $("#tabel_keterangan"+id).val();

		var jumlah = $("#tabel_jumlah"+id).val();
		var satuan = $("#tabel_idsatuan"+id).val();

		var jum_hasil = $("#tabel_jumhasil"+id).val();
		var satuan_hasil = $("#tabel_sathasil"+id).val();
			

		
		console.log(id);
	//	var id_table = $("[name=popup_idtable_kembali]").val();
		$("[name=popup_idtable_kembali]").val(idtable);
    	$("[name=popup_idkolom]").val(id);    	
    	$("[name=popup_idbb]").val(id_barangkeluar);
    	$("[name=popup_idjenis]").val(id_jenis);
    	$("[name=store_jumedit]").val(jumlah);
    	$("[name=popup_barang_pilih]").find("option[id_bb = '"+id_barangkeluar+"']").prop('selected', true).trigger('change');

    	$("[name=popup_proses_kembali]").val(id_proses).trigger("change");

    	
    	
    	$("[name=popup_barang_kembali]").val(id_barang).trigger("change");    	
    	$("[name=popup_gudang_kembali]").val(id_gudang).trigger("change");    	
    	$("[name=popup_kualitas_kembali]").val(id_kualitasproses).trigger("change"); //proses    	
    	$("[name=popup_komposisi_kembali]").val(id_komposisi).trigger("change");    	
    	
    	$("[name=popup_corak_kembali]").val(id_corak).trigger("change");
    	
    	$("[name=popup_motif_kembali]").val(id_motif).trigger("change");
    	$("[name=popup_order_kembali]").val(workorder).trigger("change");
    	$("[name=popup_kual_kembali]").val(id_kualitas).trigger("change");
    	$("[name=popup_dudul_kembali]").val(id_dudul).trigger("change");
    	$("[name=popup_periksa_kembali]").val(id_kualitasperiksa).trigger("change");
    	$("[name=popup_label_kembali]").val(id_label).trigger("change");
    	$("[name=popup_cap_kembali]").val(id_cap).trigger("change");
    	$("[name=popup_kemasan_kembali]").val(id_kemasan).trigger("change");
    	$("[name=popup_kemasansatuan_kembali]").val(id_kemasansatuan).trigger("change");
    	$("[name=popup_kemasansepuluh_kembali]").val(id_kemasansepuluh).trigger("change");
    	$("[name=popup_kemasanseratus_kembali]").val(id_kemasanseratus).trigger("change");
    	
    	
    	$("[name=popup_satuan_kembali]").val(satuan).trigger("change"); 	    	
    	$("[name=popup_keterangan_kembali]").val(keterangan);
    	$("[name=popup_jumlah_kembali]").val(jumlah);

    	$("[name=popup_jumlahhasil]").val(jum_hasil);
    	$("[name=popup_satuanhasil]").val(satuan_hasil).trigger("change");

    	//--- Perubahan satuan
		var satuan_perubahan = $("#tabel_idsatuan_perubahan"+id).val();
		var jumlah_perubahan = $("#tabel_perubahanjumlah"+id).val();


		if(satuan_perubahan != '' || satuan_perubahan != 0){
			

			var tampil_jp = 0;
			tampil_jp = parseFloat(jumlah)*parseFloat(jumlah_perubahan);
			tampil_jp = number_test(tampil_jp);

			$("[name=popup_menghasilkan_kembali]").val(tampil_jp);
			$("[name=popup_satuanhasil_kembali]").val(satuan_perubahan).trigger('change');
		}else{
			
			$("[name=popup_menghasilkan_kembali]").val('');
			$("[name=popup_satuanhasil_kembali]").val('11').trigger('change');
				
		}
		
		$("#modal_kembali").modal('show');
		
		// $("[name=popup_idbb]").val(id_barangkeluar);
	 //    $("[name=popup_idjenis]").val(id_jenis);
	 //    $("[name=popup_idkolom]").val(id);

		// $.when( $("[name=popup_barang_pilih]").find("option[id_bb = '"+id_barangkeluar+"']").prop('selected', true).trigger('change') ).then(function( x ) {
			
	 //    	// $("[name=popup_proses_kembali]").val(id_proses).trigger("change");
	 //    	// $("[name=popup_barang_kembali]").val(id_barang).trigger("change");    	
	 //    	// $("[name=popup_gudang_kembali]").val(id_gudang).trigger("change");    	
	 //    	// $("[name=popup_kualitas_kembali]").val(id_kualitasproses).trigger("change"); //proses    	
	 //    	// $("[name=popup_komposisi_kembali]").val(id_komposisi).trigger("change");    	
	    	    	
	 //    	// $("[name=popup_corak_kembali]").val(id_corak).trigger("change");
	    	
	 //    	// $("[name=popup_motif_kembali]").val(id_motif).trigger("change");
	 //    	// $("[name=popup_order_kembali]").val(workorder).trigger("change");
	 //    	// $("[name=popup_kual_kembali]").val(id_kualitas).trigger("change");
	 //    	// $("[name=popup_dudul_kembali]").val(id_dudul).trigger("change");
	 //    	// $("[name=popup_periksa_kembali]").val(id_kualitasperiksa).trigger("change");
	 //    	// $("[name=popup_label_kembali]").val(id_label).trigger("change");
	 //    	// $("[name=popup_cap_kembali]").val(id_cap).trigger("change");
	 //    	// $("[name=popup_kemasan_kembali]").val(id_kemasan).trigger("change");
	 //    	// $("[name=popup_kemasansatuan_kembali]").val(id_kemasansatuan).trigger("change");
	 //    	// $("[name=popup_kemasansepuluh_kembali]").val(id_kemasansepuluh).trigger("change");
	 //    	// $("[name=popup_kemasanseratus_kembali]").val(id_kemasanseratus).trigger("change");
	    	
	    	
	 //    	// $("[name=popup_satuan_kembali]").val(satuan).trigger("change"); 	    	
	 //    	// $("[name=popup_keterangan_kembali]").val(keterangan);
	 //    	// $("[name=popup_jumlah_kembali]").val(jumlah);
	 //    	// $("#modal_kembali").modal('show');
		// });

	}


	function get_edit(id){
		$.ajax({
			url: "{{ url('kembalibarang/get_edit') }}",
			type: 'get',
			dataType: "json",
			data: { id : id },
			success : function(respon){
				if(respon.length > 0){
					for(i in respon){
						var tampil_jp = 0;
						
						var satuan_perubahan = '';
						var nama_satuanperubahan = '';

				    	if(respon[i].id_perubahansatuan != ''){
							var satuan_perubahan = respon[i].id_perubahansatuan;
							var nama_satuanperubahan = respon[i].nama_perubahansatuan;

							tampil_jp = parseFloat(respon[i].jumlah)*parseFloat(respon[i].jumlah_rencana);
							tampil_jp = number_test(tampil_jp);
						}

						table_barang.row.add(['<div><center></center></div>',
							'<div id="list_kode'+respon[i].id_kembali_barang+'">'+respon[i].kode_barang+'</div>',
							'<div id="list_nama'+respon[i].id_kembali_barang+'">'+respon[i].nama_barang+'</div>',
							'<div id="list_komposisi'+respon[i].id_kembali_barang+'">'+respon[i].nama_komposisi+'</div>',
							'<div id="list_jumlah'+respon[i].id_kembali_barang+'">'+respon[i].jumlah+'</div>',
							'<div id="list_namasatuan'+respon[i].id_kembali_barang+'">'+respon[i].nama_satuan+'</div>',					
							'<div id="list_perubahan'+respon[i].id_kembali_barang+'">'+tampil_jp+'</div>',
							'<div id="list_namasatuan_perubahan'+respon[i].id_kembali_barang+'">'+respon[i].nama_perubahansatuan+'</div>',	
							'<div id="list_gudang'+respon[i].id_kembali_barang+'">'+respon[i].nama_gudang+'</div>',
							'<div id="list_corak'+respon[i].id_kembali_barang+'">'+respon[i].nama_corak+'</div>',
							'<div><button type="button" class="btn bg-warning-400" onclick="edit_table('+respon[i].id_kembali_barang+')"><i class="icon-pencil"></i> </button><button class="btn bg-danger-800" type="button"  onclick="hapus($(this))""><i class="icon-eraser"></i></button></div>'+
							'<input type="hidden" id="tabel_idtable'+respon[i].id_kembali_barang+'" name="tabel_idtable[]" value="'+respon[i].id_kembali_barang+'">'+
							'<input type="hidden" name="tabel_id[]" class="tabel_id" id="tabel_id'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kembali_barang+'">'+
							'<input type="hidden" name="tabel_idbarangkeluar[]" id="tabel_idbarangkeluar'+respon[i].id_kembali_barang+'" value="'+respon[i].id+'">'+
							'<input type="hidden" name="tabel_jenis[]" id="tabel_jenis'+respon[i].id_kembali_barang+'" value="'+store_jenis+'">'+

							'<input type="hidden" name="tabel_idbarang[]" id="tabel_idbarang'+respon[i].id_kembali_barang+'" value="'+respon[i].id_barang+'">'+
							'<input type="hidden" name="tabel_idgudang[]" id="tabel_idgudang'+respon[i].id_kembali_barang+'" value="'+respon[i].id_gudang+'">'+
							'<input type="hidden" name="tabel_proses[]" id="tabel_proses'+respon[i].id_kembali_barang+'" value="'+respon[i].id_proses+'">'+
							'<input type="hidden" name="tabel_jumlah[]" id="tabel_jumlah'+respon[i].id_kembali_barang+'" value="'+respon[i].jumlah+'">'+
							'<input type="hidden" name="tabel_perubahanjumlah[]" id="tabel_perubahanjumlah'+respon[i].id_kembali_barang+'" value="'+respon[i].jumlah_rencana+'">'+
							'<input type="hidden" name="tabel_komposisi[]" id="tabel_komposisi'+respon[i].id_kembali_barang+'" value="'+respon[i].nama_komposisi+'">'+
							'<input type="hidden" name="tabel_idkomposisi[]" id="tabel_idkomposisi'+respon[i].id_kembali_barang+'" value="'+respon[i].id_komposisi+'">'+
							'<input type="hidden" name="tabel_idsatuan[]" id="tabel_idsatuan'+respon[i].id_kembali_barang+'" value="'+respon[i].id_satuan+'">'+
							'<input type="hidden" name="tabel_idsatuan_perubahan[]" id="tabel_idsatuan_perubahan'+respon[i].id_kembali_barang+'" value="'+respon[i].id_perubahansatuan+'">'+
							'<input type="hidden" name="tabel_idcorak[]" id="tabel_idcorak'+respon[i].id_kembali_barang+'" value="'+respon[i].id_corak+'">'+
							'<input type="hidden" name="tabel_idmotif[]" id="tabel_idmotif'+respon[i].id_kembali_barang+'" value="'+respon[i].id_motif+'">'+
							'<input type="hidden" name="tabel_idkualitas[]" id="tabel_idkualitas'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kualitas+'">'+
							'<input type="hidden" name="tabel_iddudul[]" id="tabel_iddudul'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kualitas_dudul+'">'+
							'<input type="hidden" name="tabel_idlabel[]" id="tabel_idlabel'+respon[i].id_kembali_barang+'" value="'+respon[i].id_label+'">'+
							'<input type="hidden" name="tabel_idkemasan[]" id="tabel_idkemasan'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kemasan+'">'+
							'<input type="hidden" name="tabel_idkemasansatuan[]" id="tabel_idkemasansatuan'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kemasansatuan+'">'+
							'<input type="hidden" name="tabel_idkemasansepuluh[]" id="tabel_idkemasansepuluh'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kemasansepuluh+'">'+
							'<input type="hidden" name="tabel_idkemasanseratus[]" id="tabel_idkemasanseratus'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kemasanseratus+'">'+
							'<input type="hidden" name="tabel_workorder[]" id="tabel_workorder'+respon[i].id_kembali_barang+'" value="'+respon[i].id_workorder_barang+'">'+
							'<input type="hidden" name="tabel_spk[]" id="tabel_spk'+respon[i].id_kembali_barang+'" value="'+respon[i].id_workorder+'">'+
							'<input type="hidden" name="tabel_idcap[]" id="tabel_idcap'+respon[i].id_kembali_barang+'" value="'+respon[i].id_cap+'">'+
							'<input type="hidden" name="tabel_idkualitasproses[]" id="tabel_idkualitasproses'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kualitas_proses+'">'+
							'<input type="hidden" name="tabel_idkualitasperiksa[]" id="tabel_idkualitasperiksa'+respon[i].id_kembali_barang+'" value="'+respon[i].id_kualitas_periksa+'">'+
							'<input type="hidden" name="tabel_keterangan[]" id="tabel_keterangan'+respon[i].id_kembali_barang+'" value="">'+
							'<input type="hidden" name="tabel_jumhasil[]" id="tabel_jumhasil'+respon[i].id_kembali_barang+'" value="'+respon[i].hasil+'">'+
							'<input type="hidden" name="tabel_sathasil[]" id="tabel_sathasil'+respon[i].id_kembali_barang+'" value="'+respon[i].id_satuanhasil+'">'
							]).draw(false);

					}
				}else{

				}
			}
		})
	}

    function get_clear(){
    	$("[name=popup_idtable_kembali]").val('');
    	$("[name=popup_idkolom]").val('');
    	$("[name=popup_barang_pilih]").val('').trigger('change');
    	$("[name=popup_proses_kembali]").val('').trigger('change');
    	$("[name=popup_barang_kembali]").val('').trigger('change');
    	$("[name=popup_gudang_kembali]").val('').trigger('change');
    	$("[name=popup_kualitas_kembali]").val('').trigger('change');
    	$("[name=popup_komposisi_kembali]").val('').trigger('change');
    	$("[name=popup_corak_kembali]").val('').trigger('change');
    	$("[name=popup_motif_kembali]").val('').trigger('change');
    	$("[name=popup_order_kembali]").val('').trigger('change');
    	$("[name=popup_kual_kembali]").val('').trigger('change');
    	$("[name=popup_dudul_kembali]").val('').trigger('change');
    	$("[name=popup_periksa_kembali]").val('').trigger('change');
    	$("[name=popup_label_kembali]").val('').trigger('change');
    	$("[name=popup_cap_kembali]").val('').trigger('change');
    	$("[name=popup_kemasan_kembali]").val('').trigger('change');
    	$("[name=popup_kemasansatuan_kembali]").val('').trigger('change');
    	$("[name=popup_kemasansepuluh_kembali]").val('').trigger('change');
    	$("[name=popup_kemasanseratus_kembali]").val('').trigger('change');
    	$("[name=popup_satuan_kembali]").val('').trigger('change');
    	$("[name=popup_satuanhasil_kembali]").val('').trigger('change');

    	$("[name=popup_jumlah_kembali]").val('');
    	$("[name=popup_menghasilkan_kembali]").val('');

    	$("[name=popup_satuanhasil]").val('').trigger('change');
    	$("[name=popup_jumlahhasil]").val('');

    	$("[name=popup_keterangan_kembali]").val('');
    }

    // $("[name=popup_jumlah_kembali]").keyup(function(){
    //     var jum = parseFloat($("[name=popup_jumlah_kembali]").val());
    //     if(isNaN(jum) || jum == 0 || jum == ''){
    //         jum = parseFloat(0);
    //     }
    //     var nilai = parseFloat($("[name=store_rubahsatuan]").val());

    //     if(isNaN(nilai) || nilai == 0 || nilai == ''){
    //         nilai = parseFloat(0);
    //     }

    //     var tot = jum*nilai;
    //     $("[name=popup_menghasilkan_kembali]").val(tot);
    // })

    // $("[name=popup_menghasilkan_kembali]").keyup(function(){
    //     var jum = parseFloat($("[name=popup_menghasilkan_kembali]").val());
    //     if(isNaN(jum) || jum == 0 || jum == ''){
    //         jum = parseFloat(0);
    //     }
    //     var nilai = parseFloat($("[name=store_rubahsatuan]").val());

    //     if(isNaN(nilai) || nilai == 0 || nilai == ''){
    //         nilai = parseFloat(0);
    //     }

    //     var tot = (1/nilai)*jum;
    //     $("[name=popup_jumlah_kembali]").val(tot);
    // })

    function popup_jumlah(jum){
    	var jum = parseFloat(jum);

        if(isNaN(jum) || jum == 0 || jum == ''){
            jum = parseFloat(0);
        }

        var nilai = parseFloat($("[name=store_rubahsatuan]").val());

        if(isNaN(nilai) || nilai == 0 || nilai == ''){
            nilai = parseFloat(0);
        }

        var tot = jum*nilai;
        $("[name=popup_menghasilkan_kembali]").val(tot);
    }

    function get_workorder(id, jenis){
    	$.ajax({
    		url: "{{ url('kembalibarang/get_workorder') }}",
    		type: 'get',
    		dataType: 'json',
    		data: {id : id, jenis : jenis},
    		success: function(respon){
    			$("[name=popup_order_kembali]").html('');
    			if(respon.length > 0){
					$("[name=popup_order_kembali]").append('<option value="" id_workorder="" id_workorder_barang="">-- Pilih --</option>');

					for(i in respon){
						$("[name=popup_order_kembali]").append('<option value="'+respon[i].id_workorder_barang+'" id_workorder="'+respon[i].id_workorder+'" id_workorder_barang="'+respon[i].id_workorder_barang+'">'+respon[i].no_workorder_barang+'</option>');
						console.log(respon[i].no_workorder_barang);
					}
				}else{
					$("[name=popup_order_kembali]").html('');
					$("[name=popup_order_kembali]").append('<option value="" id_workorder="" id_workorder_barang="">-- Pilih --</option>');
				}


    		}
    	})
    }

    function hapus(d){
		table_barang.row(d.parents('tr')).remove().draw();
	}

	function perkiraan_hasil(id_proses){
        var val = parseInt(id_proses); 
        menghasilkan(val);
        var id_proses = [{{ implode(",", setup_perkiraanhasil()) }}];

        if(isInArray(val, id_proses) == true){
            $("[name=popup_jumlahhasil]").parent().parent().show();
            $("[name=popup_satuanhasil]").parent().parent().show();
        }else{
            $("[name=popup_jumlahhasil]").parent().parent().hide();
            $("[name=popup_satuanhasil]").parent().parent().hide();
        }
    }

    function menghasilkan(id_proses){
    	console.log(id_proses);
        var val = parseInt(id_proses);
        var id_ = [{{ implode(",", perkiraan_atbm()) }}];
        //console.log(id_+" | "+val);
        if(isInArray(val, id_) == true){
           $("[name=popup_jumlah_kembali]").attr('onkeyup', 'maksimal($(this)); get_perubahansatuan($(this), 1)');
           $("[name=popup_menghasilkan_kembali]").attr('onkeyup', 'maksimal($(this)); get_perubahansatuan($(this), 2)');
        
        }else{
   			$("[name=popup_jumlah_kembali]").attr('onkeyup', 'maksimal($(this));');
           $("[name=popup_menghasilkan_kembali]").attr('onkeyup', 'maksimal($(this));');
        }
    }


    function get_perubahansatuan(id, status){
		var id_barangkeluar = $("[name=store_idbarangkeluar]").val();
		var jumlah = '';				
		var satuan = $("[name=popup_satuan_kembali").val();
		var jumlah_hasil = '';
		var satuan_hasil = $("[name=popup_satuanhasil_kembali]").val();
		var motif = '';
		var corak = '';
		if($("[name=popup_jumlah_kembali]").val() != ''){
		var jumlah = $("[name=popup_jumlah_kembali]").val();
		}
		if($("[name=popup_menghasilkan_kembali]").val() != ''){
		var jumlah_hasil = $("[name=popup_menghasilkan_kembali]").val();
		}
		if($("[name=popup_motif_kembali]").val() != ''){
		var motif = $("[name=popup_motif_kembali]").val();
		}
		if($("[name=popup_corak_kembali]").val() != ''){
		var corak = $("[name=popup_corak_kembali]").val();
		}

		
		$.ajax({
			url: "{{ url('kembalibarang/get_perubahansatuan')}} ",
			type: 'post',
			data: {id_barangkeluar : id_barangkeluar, jumlah : jumlah, satuan : satuan, jumlah_hasil: jumlah_hasil, satuan_hasil: satuan_hasil, motif : motif,  motif_barang : corak},
			headers : {
				'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
			},
			success: function(result){
				if(result.status == 1){
					var jum_bagi = parseFloat(jumlah)/parseFloat(result.data.jumlah_satuanawal);
					var jum_hasil = parseFloat(jum_bagi)*parseFloat(result.data.jumlah_satuanperubahan);
					var jum_awal = parseFloat(jumlah_hasil)*(parseFloat(result.data.jumlah_satuanawal)/parseFloat(result.data.jumlah_satuanperubahan));
					var n = parseInt(jum_hasil)+' '+result.data.nama_satuanperubahan;	

					$("[name=popup_jumlahrencana]").val(parseInt(result.data.jumlah_hasil));
					$("[name=popup_satuanrencana]").val(result.data.id_satuanperubahan);
					$("[name=popup_nama_satuanrencana]").val(result.data.nama_satuanperubahan);
					var hasil = '';
					var awal = '';
					if(!isNaN(parseFloat(jum_hasil.toFixed(3)))){
						hasil = parseFloat(jum_hasil.toFixed(3)); 
					}
					if(!isNaN(parseFloat(jum_awal.toFixed(3)))){
						awal = parseFloat(jum_awal.toFixed(3)); 
					}
					//inputan
					if(status==1){
						$("[name=popup_menghasilkan_kembali]").val(hasil);
						$("[name=popup_satuanhasil_kembali]").val(result.data.id_satuanperubahan).trigger('change');
					}else{
						$("[name=popup_jumlah_kembali]").val(awal);
					//	$("[name=popup_satuan]").val(satuan).trigger('change');
					}
				}else{
					

					//inputan
					$("[name=popup_menghasilkan_kembali]").val('');
					$("[name=popup_satuanhasil_kembali]").val(null).trigger('change');
				}
			}
		})
	
	}
</script>
@endsection